org.apache.tapestry5.internal.beanvalidator

## Class BeanFieldValidatorDefaultSource

- java.lang.Object
- - org.apache.tapestry5.internal.beanvalidator.BeanFieldValidatorDefaultSource

- All Implemented Interfaces:
    FieldValidatorDefaultSource

      public class BeanFieldValidatorDefaultSource
      extends java.lang.Object
      implements FieldValidatorDefaultSource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanFieldValidatorDefaultSource(FieldValidatorDefaultSource fieldValidatorDefaultSource, javax.validation.ValidatorFactory validatorFactory, BeanValidatorGroupSource beanValidationGroupSource, ClientConstraintDescriptorSource clientValidatorSource, FormSupport formSupport, Environment environment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldValidator` | `createDefaultValidator(ComponentResources resources, java.lang.String parameterName)` A convenience for the full version; assumes that the resources are associated with a `Field`.
    `FieldValidator` | `createDefaultValidator(Field field, java.lang.String overrideId, Messages overrideMessages, java.util.Locale locale, java.lang.Class propertyType, AnnotationProvider propertyAnnotations)` Analyzes the property type and property annotations to determine the default set of validations for the property, which are wrapped to form a `FieldValidator` for a field.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanFieldValidatorDefaultSource

          public BeanFieldValidatorDefaultSource(@Core
                                                 FieldValidatorDefaultSource fieldValidatorDefaultSource,
                                                 javax.validation.ValidatorFactory validatorFactory,
                                                 BeanValidatorGroupSource beanValidationGroupSource,
                                                 ClientConstraintDescriptorSource clientValidatorSource,
                                                 FormSupport formSupport,
                                                 Environment environment)

  - ### Method Detail

    - #### createDefaultValidator

          public FieldValidator createDefaultValidator(Field field,
                                                       java.lang.String overrideId,
                                                       Messages overrideMessages,
                                                       java.util.Locale locale,
                                                       java.lang.Class propertyType,
                                                       AnnotationProvider propertyAnnotations)

      Description copied from interface: `FieldValidatorDefaultSource`
      Analyzes the property type and property annotations to determine the default set of validations for the property, which are wrapped to form a `FieldValidator` for a field.
      Specified by:
        `createDefaultValidator` in interface `FieldValidatorDefaultSource`
      Parameters:
        `field` - Field component for which a validator is being created
        `overrideId` - the id of the component, used to locate related messages for labels and errors
        `overrideMessages` - where to search for label and error messages
        `locale` - locale used for locating messages
        `propertyType` - type of property bound to the editting parameter of the field (typically, the parameter named "value").
        `propertyAnnotations` - source of annotations for the property being editted
      Returns:
        a validator reflecting all default validations for the field

    - #### createDefaultValidator

          public FieldValidator createDefaultValidator(ComponentResources resources,
                                                       java.lang.String parameterName)

      Description copied from interface: `FieldValidatorDefaultSource`
      A convenience for the full version; assumes that the resources are associated with a `Field`.
      Specified by:
        `createDefaultValidator` in interface `FieldValidatorDefaultSource`
      Returns:
        a validator reflecting all default validations for the field

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.